# [BETA] Resize volume

```http
POST /compute/v1/tenants/{tenantId}/volumes/{volumeId}/resize
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `ResizeVolume`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `update:compute:volumes`

Increases the size of a volume

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID
- `volumeId` (string, required) — Volume ID

## Request body (required)

New size details

Content type: `application/json`

- `sizeGigaBytes` (integer)

Example request body:

```json
{
  "sizeGigaBytes": 0
}
```

## Responses

### 200 — OK

Content type: `application/json`

- `id` (string)
- `jobId` (string)

### 400 — Bad Request

Content type: `application/json`

- `message` (string)

### 403 — Compute is read-only or suspended for this tenant

Content type: `application/json`

- `message` (string)
